# UserData | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

Returned from the UserSession.loadUserData function.

### Hierarchy

- UserData

## Index

### Properties

- appPrivateKey
- authResponseToken
- coreNode
- coreSessionToken
- decentralizedID
- email
- gaiaAssociationToken
- gaiaHubConfig
- hubUrl
- identityAddress
- profile
- username

## Properties

### appPrivateKey

appPrivateKey: string

- Defined in packages/auth/src/userData.ts:23

### authResponseToken

authResponseToken: string

- Defined in packages/auth/src/userData.ts:29

### coreNode

coreNode: string

- Defined in packages/auth/src/userData.ts:27

### Optional coreSessionToken

coreSessionToken: string

- Defined in packages/auth/src/userData.ts:31

### Optional decentralizedID

decentralizedID: string

- Defined in packages/auth/src/userData.ts:16

### Optional email

email: string

- Defined in packages/auth/src/userData.ts:13

### Optional gaiaAssociationToken

gaiaAssociationToken: string

- Defined in packages/auth/src/userData.ts:33

### Optional gaiaHubConfig

gaiaHubConfig: any

- Defined in packages/auth/src/userData.ts:38

### hubUrl

hubUrl: string

- Defined in packages/auth/src/userData.ts:26

### Optional identityAddress

identityAddress: string

- Defined in packages/auth/src/userData.ts:19

### profile

profile: any

- Defined in packages/auth/src/userData.ts:36

### username

username: string

- Defined in packages/auth/src/userData.ts:6

Generated using TypeDoc